import "vue";
function c(e) {
  return {
    checkUploadStatus: () => {
      const u = e.value.length, n = e.value.filter((t) => t.status === "uploading"), s = e.value.filter((t) => t.status === "fail"), o = e.value.filter((t) => t.status === "success");
      return {
        allDone: n.length === 0 && s.length === 0,
        // 是否所有文件都上传成功（没有失败或上传中的）
        uploadingCount: n.length,
        // 上传中的文件数量
        failedCount: s.length,
        // 上传失败的文件数量
        successCount: o.length,
        // 上传成功的文件数量
        totalCount: u,
        // 总文件数
        failedFiles: s
        // 所有失败的文件列表（用于提示）
      };
    }
  };
}
export {
  c as useExposeMethods
};
